/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package myJPA;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author prism
 */
@Entity
@Table(name = "EMAIL_SETTINGS", catalog = "myDbase", schema = "dbo")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "EmailSettings.findAll", query = "SELECT e FROM EmailSettings e"),
    @NamedQuery(name = "EmailSettings.findByCode", query = "SELECT e FROM EmailSettings e WHERE e.code = :code"),
    @NamedQuery(name = "EmailSettings.findByName", query = "SELECT e FROM EmailSettings e WHERE e.name = :name"),
    @NamedQuery(name = "EmailSettings.findByValue", query = "SELECT e FROM EmailSettings e WHERE e.value = :value")})
public class EmailSettings implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(nullable = false)
    private Integer code;
    @Column(length = 5000)
    private String name;
    @Column(length = 5000)
    private String value;

    public EmailSettings() {
    }

    public EmailSettings(Integer code) {
        this.code = code;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (code != null ? code.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof EmailSettings)) {
            return false;
        }
        EmailSettings other = (EmailSettings) object;
        if ((this.code == null && other.code != null) || (this.code != null && !this.code.equals(other.code))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
//        return "temporary.EmailSettings[ code=" + code + " ]";
	return name + ": " + value;
    }
    
}
